My Account
Creates a new Series
POST
/
serie
/
{idBranchOffice}
Creates a new Series
curl --request POST \
--url https://apisandbox.facturama.mx/serie/{idBranchOffice} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"IdBranchOffice": "ETQcBsE3zF-vtzP_gtf03Q2",
"Name": "FB",
"Description": "Facturas generales",
"Folio": 1
}
'import requests
url = "https://apisandbox.facturama.mx/serie/{idBranchOffice}"
payload = {
"IdBranchOffice": "ETQcBsE3zF-vtzP_gtf03Q2",
"Name": "FB",
"Description": "Facturas generales",
"Folio": 1
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
IdBranchOffice: 'ETQcBsE3zF-vtzP_gtf03Q2',
Name: 'FB',
Description: 'Facturas generales',
Folio: 1
})
};
fetch('https://apisandbox.facturama.mx/serie/{idBranchOffice}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/serie/{idBranchOffice}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'IdBranchOffice' => 'ETQcBsE3zF-vtzP_gtf03Q2',
'Name' => 'FB',
'Description' => 'Facturas generales',
'Folio' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/serie/{idBranchOffice}"
payload := strings.NewReader("{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apisandbox.facturama.mx/serie/{idBranchOffice}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/serie/{idBranchOffice}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}"
response = http.request(request)
puts response.read_body{
"Folio": 1,
"Name": "FB",
"Description": "Facturas generales"
}Authorizations
HTTP Basic authentication with Facturama username and password.
Path Parameters
Id of the Branch to which the Series belongs
Body
application/json
Model containing the Series data
Series corresponding to the branch
Id of the Branch where the Series will be stored
Minimum string length:
1Series name
Required string length:
1 - 10Pattern:
[a-zA-Z0-9]+Series description
Required string length:
1 - 50Initial folio for the series
⌘I
Creates a new Series
curl --request POST \
--url https://apisandbox.facturama.mx/serie/{idBranchOffice} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"IdBranchOffice": "ETQcBsE3zF-vtzP_gtf03Q2",
"Name": "FB",
"Description": "Facturas generales",
"Folio": 1
}
'import requests
url = "https://apisandbox.facturama.mx/serie/{idBranchOffice}"
payload = {
"IdBranchOffice": "ETQcBsE3zF-vtzP_gtf03Q2",
"Name": "FB",
"Description": "Facturas generales",
"Folio": 1
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
IdBranchOffice: 'ETQcBsE3zF-vtzP_gtf03Q2',
Name: 'FB',
Description: 'Facturas generales',
Folio: 1
})
};
fetch('https://apisandbox.facturama.mx/serie/{idBranchOffice}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/serie/{idBranchOffice}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'IdBranchOffice' => 'ETQcBsE3zF-vtzP_gtf03Q2',
'Name' => 'FB',
'Description' => 'Facturas generales',
'Folio' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/serie/{idBranchOffice}"
payload := strings.NewReader("{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apisandbox.facturama.mx/serie/{idBranchOffice}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/serie/{idBranchOffice}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"IdBranchOffice\": \"ETQcBsE3zF-vtzP_gtf03Q2\",\n \"Name\": \"FB\",\n \"Description\": \"Facturas generales\",\n \"Folio\": 1\n}"
response = http.request(request)
puts response.read_body{
"Folio": 1,
"Name": "FB",
"Description": "Facturas generales"
}